using System.Collections.Generic;

namespace TLang.Lexer
{
    public class LexEntryContext
    {
        public LexEntryContext(List<LexToken> tokens,int offset,bool success)
        {
            Tokens = tokens;
            Offset = offset;
            Success = success;
        }
        public IReadOnlyList<LexToken> Tokens {get;}

        public int Offset {get;}

        public bool Success {get;}
    }
}