using System;

namespace TLang.VM
{
    public abstract class TLangEnvironment
    {
        public abstract TLangEnvironment GetSubEnvironment();

        public abstract TObject GetObject(string key);

        public abstract void SetObject(string key,TObject value);

        public abstract bool HasObject(string key);

        public abstract bool HasObjectRecurse(string key);

        public abstract RootEnvironment GetRootEnvironment();

        public abstract TLangEnvironment GetParentEnvironment();
    }
}