namespace TLang.Common
{
    public class TLangDependency
    {
        public TLangDependency(string name,TLangVersion version) 
        {
            Name = name;
            Version = version;
        }
        public TLangDependency(string name,byte major,byte minor,byte patch,byte build) : this(name,new TLangVersion(major,minor,patch,build))
        {
            
        }
        public string Name {get;set;}
        public TLangVersion Version {get;set;}
    }
}